Subject: Mexican Honey For Sale

From: [email-masked] (Heber Castillo)
Date: Thu, 04 Jul 1996 21:14:28

I will have Mexican wildflower pure honey for sale in september. 
Looking for a buyer or partner to buy large quantity. This is good 
quality honey from the Veracruz area. If interested please reply 
by e-mail.